Name: gnu-regexp
Version: 1.1.4
Release: alt1

Summary: Java NFA regular expression engine implementation
Group: Development/Java
License: LGPL
Url: http://www.cacas.org/java/gnu/regexp/

Source0: gnu.regexp-%version.tar.bz2
Source1: %name.build.xml

BuildPreReq: /proc rpm-build-java
BuildRequires: ant gnu-getopt

BuildArch: noarch

%description
The gnu.regexp package is a pure-Java implementation of a traditional
(non-POSIX) NFA regular expression engine. Its syntax can emulate many
popular development tools, including awk, sed, emacs, perl and grep. For
a relatively complete list of supported and non-supported syntax, refer
to the syntax and usage notes.

%package demo
Summary: Demo for %name
Requires: %name = %version-%release
Requires: gnu-getopt
Group: Development/Java

%description demo
Demonstrations and samples for %name.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%prep
%setup -q -n gnu.regexp-%version
%__cp -a %SOURCE1 build.xml
# remove all binary libs
find . -name "*.jar" -exec %__rm -f {} \;

%build
%add_classpath %_javadir/gnu-getopt.jar
%ant_build jar javadoc

%install
%__mkdir_p %buildroot{%_javadir,%_javadocdir/%name,%_datadir/%name/gnu/regexp/util}
# jars
%__install -m 644 build/lib/gnu.regexp.jar %buildroot%_javadir/%name.jar

# demo
%__cp -a build/classes/gnu/regexp/util/*.class \
  %buildroot%_datadir/%name/gnu/regexp/util

# javadoc
%__mkdir_p %buildroot%_javadocdir/%name
%__cp -a build/api/* %buildroot%_javadocdir/%name

%files
%defattr(0644,root,root,0755)
%doc COPYING COPYING.LIB README TODO docs/*.html
%_javadir/*

%files demo
%defattr(0644,root,root,0755)
%_datadir/%name

%files javadoc
%defattr(0644,root,root,0755)
%_javadocdir/%name

%changelog
* Sat Apr 23 2005 Vladimir Lettiev <crux@altlinux.ru> 1.1.4-alt1
- Initial build for ALT Linux Sisyphus

